Main Page Class Hierarchy Compound List File List Compound Members

# HierDriver Class Reference

Output driver for CNC files, used far laser machinery. More...

`#include <cnchier.h>`

Inheritance diagram for HierDriver:

List of all members.

## Public Methods
| HierDriver (const wxString &_filename, bool only_visible=false)
| constructor
| ~HierDriver ()
| destructer
void | Write (Box *_Box)
void | Write (Circle *_Circle)
void | Write (ArrayReference *)
void | Write (Boundary *)
void | Write (Path *)
void | Write (Arcseg *)
void | Write (StructureReference *)
void | Write (Text *)
void | Write (Box *_Box)
void | Write (Circle *_Circle)
void | Write (ArrayReference *)
void | Write (Boundary *)
void | Write (Path *)
void | Write (Arcseg *)
void | Write (StructureReference *)
void | Write (Text *)
## Protected Attributes
Structure * | _showstructure
| top of visible structures
Structure * | _drawstructure
| structure to be drawn
wxTransformMatrix * | _matrix
| holds the matrix from structure reference
bool | _visible
| is this structure visible?
G_Polygon * | _AbsPolygon
| for containing the absolute polygon
ofstream | CNC_out_file
| the filename
int | points_written
| the output stream
Point | _mid
| number of points on one line middle point of arc segment
Point | _next
| end point of arc to write
bool | _first
| to tell if it is the first point of a polygon or polyline
bool | _right
| to tell if right or left radius correction for contours
bool | _radcor
| to tell if radius correction for contours
bool | _pulsed
| to tell if in pulsed mode
double | m_px
| relative placement of elements within structure
double | m_py
| relative placement of elements within structure

## Detailed Description

Output driver for CNC files, used far laser machinery.

Specific objects in the internal database are written as CNC data overloaded functions from class Driver_out write the internal objects in CNC specific form It uses the special properties on primitives to output in special CNC code. The internal structure is written in hiearchy form (following structure references)

## Constructor & Destructor Documentation

HierDriver::HierDriver | ( | const wxString & | _filename,
|  | bool | only_visible = false
| ) |

  | constructor Parameters:
  filename: | name of GDSII output file
  only_visible: | write only visible layers

The documentation for this class was generated from the following files:

- cnchier.h
- genhier.h

HierDriver class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page